--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Set authentication credential. NOT SUPPORTED: username and necessary data is retrieved by win32/sspi. See win32/sspi for more details."
full_name: HTTPClient::SSPINegotiateAuth#set
is_singleton: false
name: set
params: (uri, user, passwd)
visibility: public
